#Clear existing data and graphics
#rm(list=ls())
graphics.off()
#Load Hmisc library
library(Hmisc)
#Read Data
data=read.csv('Data/NICUCaseReportAmmanJ_DATA_2012-05-17_0843.csv')
#Setting Labels

label(data$study_id)="Study ID"
label(data$sex)="Sex of baby"
label(data$dob)="Date of Birth"
label(data$gestational_age)="Gestational Age (weeks)"
label(data$nicu_admission_date)="Date admitted to the NICU"
label(data$hospital_discharge_date)="Last day in hospital (discharge date or date of death)"
label(data$days_in_hospital)="Days in hospital"
label(data$nicu_admit_reason___1)="Reason for NICU admission (choice=Sepsis)"
label(data$nicu_admit_reason___2)="Reason for NICU admission (choice=Difficulty in breathing: RDS)"
label(data$nicu_admit_reason___3)="Reason for NICU admission (choice=Difficulty in breathing: neonatal pneumonia)"
label(data$nicu_admit_reason___4)="Reason for NICU admission (choice=Prematurity)"
label(data$nicu_admit_reason___5)="Reason for NICU admission (choice=Heart Disease)"
label(data$nicu_admit_reason___6)="Reason for NICU admission (choice=Congenital Malformation)"
label(data$nicu_admit_reason___7)="Reason for NICU admission (choice=Overweight Infant)"
label(data$nicu_admit_reason___8)="Reason for NICU admission (choice=Low birth weight infant)"
label(data$nicu_admit_reason___9)="Reason for NICU admission (choice=Jaundice)"
label(data$nicu_admit_reason___10)="Reason for NICU admission (choice=Low apgar score)"
label(data$nicu_admit_reason___11)="Reason for NICU admission (choice=Seizures)"
label(data$nicu_admit_reason___12)="Reason for NICU admission (choice=Metabolic abnormality)"
label(data$nicu_admit_reason___13)="Reason for NICU admission (choice=Hypoglycemia)"
label(data$nicu_admit_reason___14)="Reason for NICU admission (choice=Hypocalcemia)"
label(data$nicu_admit_reason___15)="Reason for NICU admission (choice=Neonatal Asphyxia (low apgar < 6 or determined as such by a doctor))"
label(data$nicu_admit_reason___16)="Reason for NICU admission (choice=Brain Hemorrhage)"
label(data$nicu_admit_reason___17)="Reason for NICU admission (choice=Other)"
label(data$other_admit_reason)="If other, what is the reason?"
label(data$congenital_malformation)="What specific the congenital malformation?"
label(data$rds_presentation___1)="If RDS, how did it present? (choice=Grunting)"
label(data$rds_presentation___2)="If RDS, how did it present? (choice=Chest retraction)"
label(data$rds_presentation___3)="If RDS, how did it present? (choice=Tachypnea)"
label(data$rds_presentation___4)="If RDS, how did it present? (choice=Cyanosis)"
label(data$nicu_death)="Did the baby die in the NICU"
label(data$nicu_date_death)="Indicate date of death"
label(data$birth_weight)="Birth Weight (g)"
label(data$weight_5_days)="Weight at 5 days after birth (g)"
label(data$apgar_score_1_minute)="Apgar score at 1 Minute "
label(data$apgar_score_5_minutes)="Apgar Score at 5 minutes"
label(data$vitamin_d_level)="Vitamin D level (ng/ml)"
label(data$crp_level_times)="How many times was CRP level (mg/dl) measured?"
label(data$crp_one_date)="Measurement one date"
label(data$crp_one_value)="Measurement one value"
label(data$crp_two_date)="Measurement two date"
label(data$measurement_two_value)="Measurement two value"
label(data$crp_three_date)="Measurement three date"
label(data$crp_three_value)="Measurement three value"
label(data$crp_four_date)="Measurement four date"
label(data$crp_four_value)="Measurement four value"
label(data$crp_five_date)="Measurement five date"
label(data$crp_five_value)="Measurement five value"
label(data$crp_six_date)="Measurement six date"
label(data$crp_six_value)="Measurement six value"
label(data$receive_surfactant)="Did the baby receive surfactant?"
label(data$surfactant_doses)="If yes, indicate how many doses"
label(data$pneumonia)="Did the baby present with pneumonia?"
label(data$pneumonia_diagnosis)="If yes, how was it diagnosed?"
label(data$suspected_infection)="Did the baby present with suspected early neonatal infection?"
label(data$infection_presentation)="If yes, how did it present?"
label(data$early_culture_confirmed)="If yes, was infection culture confirmed?"
label(data$early_infection_category)="If confirmed, what category?"
label(data$early_infection_specific)="Specific organism?"
label(data$early_culture_date)="Date of positive culture?"
label(data$relevant_wbc_1)="Relevant WBC count 1"
label(data$relevant_wbc_2)="Relevant WBC count 2"
label(data$relevant_wbc_3)="Relevant WBC count 3"
label(data$late_neonatal_infection)="Did the baby present with suspected late neonatal infection?"
label(data$late_infection_number)="If yes, how many?"
label(data$confirmed_late_infection)="If yes, was the infection confirmed?"
label(data$infection_1_diagnosis)="Infection 1: How was it diagnosed?"
label(data$infection_1_culture_date)="Infection 1: Date of culture?"
label(data$infection_1_culture_type)="Infection 1: Culture type grown"
label(data$infection_1_specific)="Infection 1: Specific Organism"
label(data$infection_2_diagnosis)="Infection 2: How was it diagnosed?"
label(data$infection_2_culture_date)="Infection 2: Date of culture?"
label(data$infection_2_culture_type)="Infection 2: Culture type grown"
label(data$infection_2_specific)="Infection 2: Specific Organism"
label(data$infection_3_diagnosis)="Infection 3: How was it diagnosed?"
label(data$infection_3_culture_date)="Infection 3: Date of culture?"
label(data$infection_3_culture_type)="Infection 3: Culture type grown"
label(data$infection_3_specific)="Infection 3: Specific Organism"
label(data$infection_4_diagnosis)="Infection 4: How was it diagnosed?"
label(data$infection_4_culture_date)="Infection 4: Date of culture?"
label(data$infection_4_culture_type)="Infection 4: Culture type grown"
label(data$infection_4_specific)="Infection 4: Specific Organism"
label(data$late_infection_wbc_1)="Relevant WBC for late infection 1"
label(data$late_infection_wbc_2)="Relevant WBC for late infection 2"
label(data$late_infection_wbc_3)="Relevant WBC for late infection 3"
label(data$antibiotics_given)="Were antibiotics given?"
label(data$which_antibiotic___1)="If yes, which antibiotic? (choice=Vancomycin)"
label(data$which_antibiotic___2)="If yes, which antibiotic? (choice=Gentamicin)"
label(data$which_antibiotic___3)="If yes, which antibiotic? (choice=Ampicillin)"
label(data$which_antibiotic___4)="If yes, which antibiotic? (choice=Amikacin)"
label(data$which_antibiotic___5)="If yes, which antibiotic? (choice=Fortum)"
label(data$which_antibiotic___6)="If yes, which antibiotic? (choice=Tienam)"
label(data$which_antibiotic___7)="If yes, which antibiotic? (choice=Flagyl)"
label(data$which_antibiotic___8)="If yes, which antibiotic? (choice=Other)"
label(data$other_antibiotic)="If other, which antibiotic?"
label(data$antib_number_days)="If yes, how many days?"
label(data$total_number_of_antibiotic)="Total number of antibiotics"
label(data$antibiotic_1)="Antibiotic 1"
label(data$antibiotic_1_start_date)="Antibiotic 1 Start date"
label(data$antibiotic_1_end_date)="Antibiotic 1 End Date"
label(data$antibiotic_1_total_days)="Antibiotic 1 Total Days"
label(data$antibiotic_2)="Antibiotic 2"
label(data$antibiotic_2_start_date)="Antibiotic 2 Start Date"
label(data$antibiotic_2_end_date)="Antibiotic 2 End Date"
label(data$antibiotic_2_total_days)="Antibiotic 2 Total Days"
label(data$antibiotic_3)="Antibiotic 3"
label(data$antibiotic_3_start_date)="Antibiotic 3 Start Date"
label(data$antibiotic_3_end_date)="Antibiotic 3 End Date"
label(data$antibiotic_3_total_days)="Antibiotic 3 total days"
label(data$antibiotic_4)="Antibiotic 4"
label(data$antibiotic_4_start_date)="Antibiotic 4 Start Date"
label(data$antibiotic_4_end_date)="Antibiotic 4 End Date"
label(data$antibiotic_4_total_days)="Antibiotic 4 Total Days"
label(data$antibiotic_5)="Antibiotic 5"
label(data$antibiotic_5_start_date)="Antibiotic 5 Start Date"
label(data$antibiotic_5_end_date)="Antibiotic 5 End Date"
label(data$antibiotic_5_total_days)="Antibiotic 5 Total Days"
label(data$antibiotic_6)="Antibiotic 6"
label(data$antibiotic_6_start_date)="Antibiotic 6 Start Date"
label(data$antibiotic_6_end_date)="Antibiotic 6 End Date"
label(data$antibiotic_6_total_days)="Antibiotic 6 Total Days"
label(data$antibiotic_7)="Antibiotic 7"
label(data$antibiotic_7_start_date)="Antibiotic 7 Start Date"
label(data$antibiotic_7_end_date)="Antibiotic 7 End Date"
label(data$antibiotic_7_total_days)="Antibiotic 7 Total Days"
label(data$antibiotic_8)="Antibiotic 8"
label(data$antibiotic_8_start_date)="Antibiotic 8 Start Date"
label(data$antibiotic_8_end_date)="Antibiotic 8 End Date"
label(data$antibiotic_8_total_days)="Antibiotic 8 Total Days"
label(data$antibiotic_9)="Antibiotic 9"
label(data$antibiotic_9_start_date)="Antibiotic 9 Start Date"
label(data$antibiotic_9_end_date)="Antibiotic 9 End Date"
label(data$antibiotic_9_total_days)="Antibiotic 9 Total Days"
label(data$wbc_count)="First WBC Count (x 10^3) ?"
label(data$st_wbc_date)="Date of 1st WBC"
label(data$number_additional_wbc)="Number of additional WBC counts?"
label(data$wbc_count_2)="WBC count 2"
label(data$wbc_2_date)="WBC Count 2 date"
label(data$wbc_count_3)="WBC count 3"
label(data$wbc_3_date)="WBC count 3 date"
label(data$wbc_count_4)="WBC count 4"
label(data$wbc_4_date)="WBC count 4 date"
label(data$wbc_count_5)="WBC count 5"
label(data$wbc_5_date)="WBC count 5 date"
label(data$wbc_count_6)="WBC Count 6"
label(data$wbc_6_date)="WBC Count 6 date"
label(data$wbc_count_7)="WBC Count 7"
label(data$wbc_7_date)="WBC Count 7 date"
label(data$wbc_count_8)="WBC count 8"
label(data$wbc_8_date)="WBC count 8 date"
label(data$wbc_count_9)="WBC Count 9 "
label(data$wbc_9_date)="WBC count 9 date"
label(data$wbc_count_10)="WBC Count 10"
label(data$wbc_10_date)="WBC count 10 date"
label(data$pda_first_week)="Did the baby present with PDA during first week of life?"
label(data$pda_after_first)="Did the baby present with PDA after the first week of life?"
label(data$pneumothorax_first_week)="Did the baby present with a pneumothorax during the first week of life?"
label(data$chest_tube_required)="If yes, did it require a chest tube?"
label(data$number_chest_tubes)="How many chest tubes were placed?"
label(data$iv_hemorrhage)="Did the baby present with intraventricular hemorrhage?"
label(data$date_diagnosed)="If yes, date diagnosed?"
label(data$nec)="Did the baby present with NEC?"
label(data$nec_confirmed)="If yes, was NEC confirmed with abdominal X-ray?"
label(data$nec_and_pneumatosis)="If yes, did NEC present with pneumatosis?"
label(data$date_nec_confirm)="Date of NEC X-Ray confirmation?"
label(data$mechanical_vent)="Did the baby receive mechanical ventilation?"
label(data$date_begin_vent)="If yes, indicate date mechanical ventilation was started."
label(data$vent_number_days)="If yes, indicate the total number of days."
label(data$nasal_cpap)="Did the baby receive nasal CPAP?"
label(data$cpap_start_date)="If yes, indicate the date nasal CPAP was started."
label(data$cpap_days)="If yes, indicate the total number of days."
label(data$nasal_canula)="Did the baby receive High Flow Nasal Canula?"
label(data$canula_start_date)="If yes, indicate the date nasal canlua was started."
label(data$nasal_canula_days)="If yes, indicate the total number of days."
label(data$oxyhood)="Did the baby receive oxygen by head box/oxyhood?"
label(data$oxyhood_start_date)="If yes, indicate the date oxyhood therapy was started."
label(data$oxyhood_days)="If yes, indicate number of days baby was on oxyhood."
label(data$incubator_oxygen)="Did the baby receive oxygen by incubator?"
label(data$incubator_start_date)="If yes, indicate date oxygen by incubator was started."
label(data$incubator_o2_days)="If yes, indicate number of days the baby was on O2 by incubator."
label(data$bpd_diagnosed)="Was the baby diagnosed with BPD at discharge?"
label(data$type_of_delivery)="Type of delivery?"
label(data$chorioamnionitis)="Did the mother present with chorioamnionitis?"
label(data$ca_culture_confim)="If yes, was the choriamnioitis culture confirmed?"
label(data$fever_labor)="Did the mother experience fever during or immediately after labor?"
label(data$mother_antibiotics)="Did the mother receive antibiotics during or immediately after labor?"
label(data$gestational_dm)="Did the mother present with Gestational DM?"
label(data$prom)="Did the mother present with PROM?"
label(data$hours_ruptured)="If yes, how long were the membranes ruptured before delivery?"
label(data$maternal_preeclampsia)="Did the mother present with preeclampsia?"
label(data$antenatal_steroids)="Did the mother receive antenatal steriods?"
label(data$nicu_data_complete)="Complete?"
#Setting Units


#Setting Factors(will create new variable for factors)
data$sex.factor = factor(data$sex,levels=c("0","1"))
data$nicu_admit_reason___1.factor = factor(data$nicu_admit_reason___1,levels=c("0","1"))
data$nicu_admit_reason___2.factor = factor(data$nicu_admit_reason___2,levels=c("0","1"))
data$nicu_admit_reason___3.factor = factor(data$nicu_admit_reason___3,levels=c("0","1"))
data$nicu_admit_reason___4.factor = factor(data$nicu_admit_reason___4,levels=c("0","1"))
data$nicu_admit_reason___5.factor = factor(data$nicu_admit_reason___5,levels=c("0","1"))
data$nicu_admit_reason___6.factor = factor(data$nicu_admit_reason___6,levels=c("0","1"))
data$nicu_admit_reason___7.factor = factor(data$nicu_admit_reason___7,levels=c("0","1"))
data$nicu_admit_reason___8.factor = factor(data$nicu_admit_reason___8,levels=c("0","1"))
data$nicu_admit_reason___9.factor = factor(data$nicu_admit_reason___9,levels=c("0","1"))
data$nicu_admit_reason___10.factor = factor(data$nicu_admit_reason___10,levels=c("0","1"))
data$nicu_admit_reason___11.factor = factor(data$nicu_admit_reason___11,levels=c("0","1"))
data$nicu_admit_reason___12.factor = factor(data$nicu_admit_reason___12,levels=c("0","1"))
data$nicu_admit_reason___13.factor = factor(data$nicu_admit_reason___13,levels=c("0","1"))
data$nicu_admit_reason___14.factor = factor(data$nicu_admit_reason___14,levels=c("0","1"))
data$nicu_admit_reason___15.factor = factor(data$nicu_admit_reason___15,levels=c("0","1"))
data$nicu_admit_reason___16.factor = factor(data$nicu_admit_reason___16,levels=c("0","1"))
data$nicu_admit_reason___17.factor = factor(data$nicu_admit_reason___17,levels=c("0","1"))
data$rds_presentation___1.factor = factor(data$rds_presentation___1,levels=c("0","1"))
data$rds_presentation___2.factor = factor(data$rds_presentation___2,levels=c("0","1"))
data$rds_presentation___3.factor = factor(data$rds_presentation___3,levels=c("0","1"))
data$rds_presentation___4.factor = factor(data$rds_presentation___4,levels=c("0","1"))
data$nicu_death.factor = factor(data$nicu_death,levels=c("1","2"))
data$crp_level_times.factor = factor(data$crp_level_times,levels=c("1","2","3","4","5","6","7"))
data$crp_one_value.factor = factor(data$crp_one_value,levels=c("1","2"))
data$measurement_two_value.factor = factor(data$measurement_two_value,levels=c("1","2"))
data$crp_three_value.factor = factor(data$crp_three_value,levels=c("1","2"))
data$crp_four_value.factor = factor(data$crp_four_value,levels=c("1","2"))
data$crp_five_value.factor = factor(data$crp_five_value,levels=c("1","2"))
data$crp_six_value.factor = factor(data$crp_six_value,levels=c("1","2"))
data$receive_surfactant.factor = factor(data$receive_surfactant,levels=c("1","2","3"))
data$surfactant_doses.factor = factor(data$surfactant_doses,levels=c("1","2","3","4","5"))
data$pneumonia.factor = factor(data$pneumonia,levels=c("1","2","3"))
data$pneumonia_diagnosis.factor = factor(data$pneumonia_diagnosis,levels=c("1","2"))
data$suspected_infection.factor = factor(data$suspected_infection,levels=c("1","2","3"))
data$infection_presentation.factor = factor(data$infection_presentation,levels=c("1","2","3","4"))
data$early_culture_confirmed.factor = factor(data$early_culture_confirmed,levels=c("1","2","3"))
data$early_infection_category.factor = factor(data$early_infection_category,levels=c("1","2","3"))
data$late_neonatal_infection.factor = factor(data$late_neonatal_infection,levels=c("1","2","3"))
data$late_infection_number.factor = factor(data$late_infection_number,levels=c("1","2","3","4"))
data$confirmed_late_infection.factor = factor(data$confirmed_late_infection,levels=c("1","2","3"))
data$infection_1_diagnosis.factor = factor(data$infection_1_diagnosis,levels=c("1","2","3","4","5"))
data$infection_1_culture_type.factor = factor(data$infection_1_culture_type,levels=c("1","2","3"))
data$infection_2_diagnosis.factor = factor(data$infection_2_diagnosis,levels=c("1","2","3","4","5"))
data$infection_2_culture_type.factor = factor(data$infection_2_culture_type,levels=c("1","2","3"))
data$infection_3_diagnosis.factor = factor(data$infection_3_diagnosis,levels=c("1","2","3","4","5"))
data$infection_3_culture_type.factor = factor(data$infection_3_culture_type,levels=c("1","2","3"))
data$infection_4_diagnosis.factor = factor(data$infection_4_diagnosis,levels=c("1","2","3","4","5"))
data$infection_4_culture_type.factor = factor(data$infection_4_culture_type,levels=c("1","2","3"))
data$antibiotics_given.factor = factor(data$antibiotics_given,levels=c("1","2","3"))
data$which_antibiotic___1.factor = factor(data$which_antibiotic___1,levels=c("0","1"))
data$which_antibiotic___2.factor = factor(data$which_antibiotic___2,levels=c("0","1"))
data$which_antibiotic___3.factor = factor(data$which_antibiotic___3,levels=c("0","1"))
data$which_antibiotic___4.factor = factor(data$which_antibiotic___4,levels=c("0","1"))
data$which_antibiotic___5.factor = factor(data$which_antibiotic___5,levels=c("0","1"))
data$which_antibiotic___6.factor = factor(data$which_antibiotic___6,levels=c("0","1"))
data$which_antibiotic___7.factor = factor(data$which_antibiotic___7,levels=c("0","1"))
data$which_antibiotic___8.factor = factor(data$which_antibiotic___8,levels=c("0","1"))
data$total_number_of_antibiotic.factor = factor(data$total_number_of_antibiotic,levels=c("1","2","3","4","5","6","7","8"))
data$number_additional_wbc.factor = factor(data$number_additional_wbc,levels=c("1","2","3","4","5","6","7","8","9"))
data$pda_first_week.factor = factor(data$pda_first_week,levels=c("1","2","3","4"))
data$pda_after_first.factor = factor(data$pda_after_first,levels=c("1","2","3","4"))
data$pneumothorax_first_week.factor = factor(data$pneumothorax_first_week,levels=c("1","2","3"))
data$chest_tube_required.factor = factor(data$chest_tube_required,levels=c("1","2"))
data$iv_hemorrhage.factor = factor(data$iv_hemorrhage,levels=c("1","2","3"))
data$nec.factor = factor(data$nec,levels=c("1","2","3"))
data$nec_confirmed.factor = factor(data$nec_confirmed,levels=c("1","2","3"))
data$nec_and_pneumatosis.factor = factor(data$nec_and_pneumatosis,levels=c("1","2","3"))
data$mechanical_vent.factor = factor(data$mechanical_vent,levels=c("1","2","3"))
data$nasal_cpap.factor = factor(data$nasal_cpap,levels=c("1","2","3"))
data$nasal_canula.factor = factor(data$nasal_canula,levels=c("1","2","3"))
data$oxyhood.factor = factor(data$oxyhood,levels=c("1","2","3"))
data$incubator_oxygen.factor = factor(data$incubator_oxygen,levels=c("1","2","3"))
data$bpd_diagnosed.factor = factor(data$bpd_diagnosed,levels=c("1","2","3"))
data$type_of_delivery.factor = factor(data$type_of_delivery,levels=c("1","2","3"))
data$chorioamnionitis.factor = factor(data$chorioamnionitis,levels=c("1","2","3"))
data$ca_culture_confim.factor = factor(data$ca_culture_confim,levels=c("1","2","3"))
data$fever_labor.factor = factor(data$fever_labor,levels=c("1","2","3"))
data$mother_antibiotics.factor = factor(data$mother_antibiotics,levels=c("1","2","3"))
data$gestational_dm.factor = factor(data$gestational_dm,levels=c("1","2","3"))
data$prom.factor = factor(data$prom,levels=c("1","2","3"))
data$hours_ruptured.factor = factor(data$hours_ruptured,levels=c("1","2","3","4","5"))
data$maternal_preeclampsia.factor = factor(data$maternal_preeclampsia,levels=c("1","2","3"))
data$antenatal_steroids.factor = factor(data$antenatal_steroids,levels=c("1","2","3"))
data$nicu_data_complete.factor = factor(data$nicu_data_complete,levels=c("0","1","2"))

levels(data$sex.factor)=c("Female","Male")
levels(data$nicu_admit_reason___1.factor)=c("Unchecked","Checked")
levels(data$nicu_admit_reason___2.factor)=c("Unchecked","Checked")
levels(data$nicu_admit_reason___3.factor)=c("Unchecked","Checked")
levels(data$nicu_admit_reason___4.factor)=c("Unchecked","Checked")
levels(data$nicu_admit_reason___5.factor)=c("Unchecked","Checked")
levels(data$nicu_admit_reason___6.factor)=c("Unchecked","Checked")
levels(data$nicu_admit_reason___7.factor)=c("Unchecked","Checked")
levels(data$nicu_admit_reason___8.factor)=c("Unchecked","Checked")
levels(data$nicu_admit_reason___9.factor)=c("Unchecked","Checked")
levels(data$nicu_admit_reason___10.factor)=c("Unchecked","Checked")
levels(data$nicu_admit_reason___11.factor)=c("Unchecked","Checked")
levels(data$nicu_admit_reason___12.factor)=c("Unchecked","Checked")
levels(data$nicu_admit_reason___13.factor)=c("Unchecked","Checked")
levels(data$nicu_admit_reason___14.factor)=c("Unchecked","Checked")
levels(data$nicu_admit_reason___15.factor)=c("Unchecked","Checked")
levels(data$nicu_admit_reason___16.factor)=c("Unchecked","Checked")
levels(data$nicu_admit_reason___17.factor)=c("Unchecked","Checked")
levels(data$rds_presentation___1.factor)=c("Unchecked","Checked")
levels(data$rds_presentation___2.factor)=c("Unchecked","Checked")
levels(data$rds_presentation___3.factor)=c("Unchecked","Checked")
levels(data$rds_presentation___4.factor)=c("Unchecked","Checked")
levels(data$nicu_death.factor)=c("Yes","No")
levels(data$crp_level_times.factor)=c("0","1","2","3","4","5","6")
levels(data$crp_one_value.factor)=c("Negative","Positive")
levels(data$measurement_two_value.factor)=c("Negative","Positive")
levels(data$crp_three_value.factor)=c("Negative","Positive")
levels(data$crp_four_value.factor)=c("Negative","Positive")
levels(data$crp_five_value.factor)=c("Negative","Positive")
levels(data$crp_six_value.factor)=c("Negative","Positive")
levels(data$receive_surfactant.factor)=c("Yes","No","Unknown or No Data Available")
levels(data$surfactant_doses.factor)=c("1","2","3","4","5")
levels(data$pneumonia.factor)=c("Yes","No","Unknown or no data available")
levels(data$pneumonia_diagnosis.factor)=c("Clinically","Chest X-Ray")
levels(data$suspected_infection.factor)=c("Yes","No","Unknown or no data")
levels(data$infection_presentation.factor)=c("Sepsis","Pneumonia","Meningitis","Other")
levels(data$early_culture_confirmed.factor)=c("Yes","No","Unknown or no data available")
levels(data$early_infection_category.factor)=c("Gram negative","Gram positive","Fungal")
levels(data$late_neonatal_infection.factor)=c("Yes","No","Unknown or no data available")
levels(data$late_infection_number.factor)=c("1","2","3","4")
levels(data$confirmed_late_infection.factor)=c("Yes","No","Unknown or no data available")
levels(data$infection_1_diagnosis.factor)=c("Blood","Urine","CSF","Endotracheal Culture","Other")
levels(data$infection_1_culture_type.factor)=c("Gram positive","Gram negative","Fungal")
levels(data$infection_2_diagnosis.factor)=c("Blood","Urine","CSF","Endotracheal Culture","Other")
levels(data$infection_2_culture_type.factor)=c("Gram positive","Gram negative","Fungal")
levels(data$infection_3_diagnosis.factor)=c("Blood","Urine","CSF","Endotracheal Culture","Other")
levels(data$infection_3_culture_type.factor)=c("Gram positive","Gram negative","Fungal")
levels(data$infection_4_diagnosis.factor)=c("Blood","Urine","CSF","Endotracheal Culture","Other")
levels(data$infection_4_culture_type.factor)=c("Gram positive","Gram negative","Fungal")
levels(data$antibiotics_given.factor)=c("Yes","No","Unknown or no data available")
levels(data$which_antibiotic___1.factor)=c("Unchecked","Checked")
levels(data$which_antibiotic___2.factor)=c("Unchecked","Checked")
levels(data$which_antibiotic___3.factor)=c("Unchecked","Checked")
levels(data$which_antibiotic___4.factor)=c("Unchecked","Checked")
levels(data$which_antibiotic___5.factor)=c("Unchecked","Checked")
levels(data$which_antibiotic___6.factor)=c("Unchecked","Checked")
levels(data$which_antibiotic___7.factor)=c("Unchecked","Checked")
levels(data$which_antibiotic___8.factor)=c("Unchecked","Checked")
levels(data$total_number_of_antibiotic.factor)=c("2","3","4","5","6","7","8","9")
levels(data$number_additional_wbc.factor)=c("1","2","3","4","5","6","7","8","9")
levels(data$pda_first_week.factor)=c("Yes, with hemodynamic consequences","Yes, without hemodynamic consequences","No","Unknown or no data available")
levels(data$pda_after_first.factor)=c("Yes, with hemodynamic consequences","Yes, without hemodynamic consequences","No","Unknown or no data available")
levels(data$pneumothorax_first_week.factor)=c("Yes","No","Unknown or no data available")
levels(data$chest_tube_required.factor)=c("Yes","No")
levels(data$iv_hemorrhage.factor)=c("Yes","No","Unknown or no data available")
levels(data$nec.factor)=c("Yes","No","Unknown or no data available")
levels(data$nec_confirmed.factor)=c("Yes","No","Unknown or no data available")
levels(data$nec_and_pneumatosis.factor)=c("Yes","No","Unknown or no data available")
levels(data$mechanical_vent.factor)=c("Yes","No","Unknown or no data available")
levels(data$nasal_cpap.factor)=c("Yes","No","Unknown or no data available")
levels(data$nasal_canula.factor)=c("Yes","No","Unknown or no data available")
levels(data$oxyhood.factor)=c("Yes","No","Unknown or no data available")
levels(data$incubator_oxygen.factor)=c("Yes","No","Unknown or no data available")
levels(data$bpd_diagnosed.factor)=c("Yes","No","Unknown or no data available")
levels(data$type_of_delivery.factor)=c("Vaginal","Cesarean","Unknown or data not available")
levels(data$chorioamnionitis.factor)=c("Yes","No","Unknown or no data available")
levels(data$ca_culture_confim.factor)=c("Yes","No","Unknown or no data available")
levels(data$fever_labor.factor)=c("Yes","No","Unknown or no data available")
levels(data$mother_antibiotics.factor)=c("Yes","No","Unknown or no data available")
levels(data$gestational_dm.factor)=c("Yes","No","Unknown or no data")
levels(data$prom.factor)=c("Yes","No","Unknown or no data available")
levels(data$hours_ruptured.factor)=c("Less than 12 hours","12-23 hours","24-47 hours","48 hours or more","Unknown or no data available")
levels(data$maternal_preeclampsia.factor)=c("Yes","No","Unknown or no data available")
levels(data$antenatal_steroids.factor)=c("Yes","No","Unknown or no data available")
levels(data$nicu_data_complete.factor)=c("Incomplete","Unverified","Complete")
