#Clear existing data and graphics
# rm(list=ls())
graphics.off()
#Load Hmisc library
library(Hmisc)
#Read Data
data=read.csv('Data/NewbornCaseReportAmm_DATA_2013-01-28_0939.csv')
#Setting Labels

label(data$case_id_newborn)="Case #"
label(data$verbal_consent)="Verbal consent obtained"
label(data$child_name_newborn)="Name of Child"
label(data$mother_name_newborn)="Name of Mother"
label(data$mother_bday_newborn)="Mothers Date of Birth"
label(data$mother_record_newborn)="Mothers Record #"
label(data$mom_nationality_newborn)="Mothers Nationality"
label(data$other_mom_nationality)="Specify mothers nationality"
label(data$dad_nationality_newborn)="Fathers Nationality"
label(data$other_dad_nationality)="Specify fathers nationality"
label(data$collection_date)="Date of Collection"
label(data$birth_date_newborn)="Childs Date of Birth"
label(data$lmp_known)="Date of LMP (known or unknown)"
label(data$lmp)="Date of LMP"
label(data$gestational_age_newborn)="Gestational Age (weeks)"
label(data$gest_verified)="Gestational Age verified by chart"
label(data$delivery_newborn)="Type of birth delivery"
label(data$csection_newborn)="Elective v Non-elective c-section"
label(data$reason_csection_newborn)="Fetal v Maternal distress"
label(data$nicu)="Newborn is currently in the NICU"
label(data$medical_record)="Medical Record #"
label(data$nicu_reason)="Reason newborn admitted to NICU"
label(data$nicu_reason2)="Reason newborn admitted to NICU"
label(data$reason_dob)="Reason for difficulty in breathing"
label(data$cong_mal)="Identify congenital malformation"
label(data$sex_newborn)="Sex"
label(data$birth_wt_newborn)="Birth weight "
label(data$mom_ht)="Mothers pre-pregnancy height"
label(data$mom_wt)="Mothers pre-pregnancy weight"
label(data$prenatalcare___1)="Where mother attended prenatal visits (choice=MOH)"
label(data$prenatalcare___2)="Where mother attended prenatal visits (choice=UNRWA)"
label(data$prenatalcare___3)="Where mother attended prenatal visits (choice=Private Sector)"
label(data$prenatalcare___4)="Where mother attended prenatal visits (choice=University)"
label(data$prenatalcare___5)="Where mother attended prenatal visits (choice=Other)"
label(data$other_prenatal)="Other place mother attended prenatal care"
label(data$no_prenatal)="# of total prenatal visits"
label(data$cig_trimester1)="1st Trimester"
label(data$cig_trimester2)="2nd Trimester"
label(data$cig_trimester3)="3rd Trimester"
label(data$nargila_trimester1)="1st Trimester"
label(data$nargila_trimester2)="2nd Trimester"
label(data$nargila_trimester3)="3rd Trimester"
label(data$exposed_trimester1)="1st Trimester"
label(data$exposed_trimester2)="2nd Trimester"
label(data$exposed_trimester3)="3rd Trimester"
label(data$mom_vitd_newborn)="Mother took vitamin D during pregnancy"
label(data$mom_vitd_dur_newborn)="Number of months mother took vitamin D "
label(data$supplements___0)="Supplements taken by mother  (choice=None)"
label(data$supplements___1)="Supplements taken by mother  (choice=Folic Acid)"
label(data$supplements___2)="Supplements taken by mother  (choice=Multivitamin)"
label(data$supplements___3)="Supplements taken by mother  (choice=Calcium)"
label(data$supplements___4)="Supplements taken by mother  (choice=Calcium with vitamin D)"
label(data$supplements___5)="Supplements taken by mother  (choice=Vitamin D only)"
label(data$supplements___6)="Supplements taken by mother  (choice=Iron)"
label(data$supplements___7)="Supplements taken by mother  (choice=Unknown Vitamin)"
label(data$supplements___8)="Supplements taken by mother  (choice=Other)"
label(data$other_supp)="Other supplement taken by mother"
label(data$vit1_color)="If took unknown vitamin, color of vitamin #1"
label(data$vit2_color)="If took unknown vitamin, color of vitamin #2"
label(data$mom_vac_newborn)="Mother received any vaccinations during pregnancy"
label(data$mom_vac1_newborn)="vaccine #1"
label(data$mom_vac2_newborn)="vaccine #2"
label(data$hrs_outside_newborn)="Hours mother spends outdoors per day"
label(data$mother_dress_newborn)="Mothers clothing practice"
label(data$plan_breastfeed)="Mother is planning to breastfeed"
label(data$mo_breastfeed)="Number of months mother is planning to breastfeed"
label(data$prior_preg)="Number of past pregnancies"
label(data$child_alive)="Number of children who survived"
label(data$mom_dis___1)="Mother has the following: (choice=Hyperparathyroidism)"
label(data$mom_dis___2)="Mother has the following: (choice=Diabetes)"
label(data$mom_dis___3)="Mother has the following: (choice=Gestational Diabetes)"
label(data$mom_dis___4)="Mother has the following: (choice=Thyroid dysfunction)"
label(data$mom_dis___5)="Mother has the following: (choice=Renal failure)"
label(data$mom_dis___6)="Mother has the following: (choice=Heart Disease)"
label(data$mom_dis___7)="Mother has the following: (choice=Asthma)"
label(data$mom_dis___8)="Mother has the following: (choice=Rheumatoid Arthritis)"
label(data$mom_dis___9)="Mother has the following: (choice=Chronic disease requiring treatment with corticosteroids)"
label(data$mom_dis___11)="Mother has the following: (choice=Hypertension)"
label(data$mom_dis___12)="Mother has the following: (choice=Gestational (Pregnancy-Induced) Hypertension)"
label(data$mom_dis___10)="Mother has the following: (choice=None of the above)"
label(data$plan_tea)="Tea"
label(data$plan_water)="Sugar Water"
label(data$plan_formula)="Formula"
label(data$plan_other)="Other"
label(data$other_nutrition)="Specify other nutrition mother plans to give child"
label(data$plan_none)="None of the above"
label(data$marriage_age)="Mothers age at marriage"
label(data$mom_edu)="Mothers highest education level"
label(data$premature_babies)="Have you had previous premature babies (< 37 weeks gestation)?"
label(data$no_prem_babies)="How many?"
label(data$sister_prem_babies)="Has any of your sisters had previous premature babies (< 37 weeks gestation)?"
label(data$no_sisters_prem)="How many sisters?"
label(data$no_sisters_prem_babies)="How many babies?"
label(data$cousins_prem_babies)="Have any of your female cousins had previous premature infants?"
label(data$no_cousins_prem)="How many cousins?"
label(data$no_cousins_prem_babies)="How many babies?"
label(data$fem_rel_prem_babies)="Has any of your female relatives (not immediate cousins) had previous premature infants?"
label(data$no_fem_rel_prem)="How many female relatives?"
label(data$mom_job)="Mother is employed"
label(data$spec_mom_job)="Mothers occupation"
label(data$dad_job)="Father is employed"
label(data$spec_dad_job)="Fathers occupation"
label(data$future_contact)="Agreed to future contact"
label(data$address)="Address"
label(data$phone)="Phone Number"
label(data$newborn_form_complete)="Complete?"
label(data$newborn_d2)="Newborn D2 level"
label(data$newbornd3)="Newborn D3 level"
label(data$newbornvitdtot)="Newborn Total Vitamin D level"
label(data$newborn_qns)="QNS?"
label(data$sera_levels)="Sera Levels Available"
label(data$newborn_d2_sera)="Newborn Sera D2 level"
label(data$newborn_d3_sera)="Newborn Sera D3 level"
label(data$newbornvitdtot_sera)="Newborn Sera Total Vitamin D level"
label(data$newborn_qns_sera)="QNS?"
label(data$newborn_vitamin_d_levels_complete)="Complete?"
label(data$motherd2)="Maternal D2 level"
label(data$motherd3)="Maternal D3 level"
label(data$mothervitdtot)="Maternal Total Vitamin D"
label(data$mother_qns)="QNS?"
label(data$mother_sera)="Sera Levels Available?"
label(data$motherd2_sera)="Maternal Sera D2 level"
label(data$motherd3_sera)="Maternal Sera D3 level"
label(data$mothervitdtot_sera)="Maternal Sera Total Vitamin D"
label(data$mother_qns_sera)="QNS?"
label(data$maternal_vitamin_d_levels_complete)="Complete?"
#Setting Units

units(data$birth_wt_newborn)="kg"
units(data$mom_vitd_dur_newborn)="months"
units(data$hrs_outside_newborn)="hours"

#Setting Factors(will create new variable for factors)
data$verbal_consent.factor = factor(data$verbal_consent,levels=c("1","0"))
data$mom_nationality_newborn.factor = factor(data$mom_nationality_newborn,levels=c("1","2","3","4","5","6","7","8","9"))
data$dad_nationality_newborn.factor = factor(data$dad_nationality_newborn,levels=c("1","2","3","4","5","6","7","8","9"))
data$lmp_known.factor = factor(data$lmp_known,levels=c("1","2"))
data$gestational_age_newborn.factor = factor(data$gestational_age_newborn,levels=c("1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20"))
data$gest_verified.factor = factor(data$gest_verified,levels=c("0","1"))
data$delivery_newborn.factor = factor(data$delivery_newborn,levels=c("1","2"))
data$csection_newborn.factor = factor(data$csection_newborn,levels=c("1","2"))
data$reason_csection_newborn.factor = factor(data$reason_csection_newborn,levels=c("1","2"))
data$nicu.factor = factor(data$nicu,levels=c("0","1"))
data$nicu_reason2.factor = factor(data$nicu_reason2,levels=c("1","2","3","4","5","6","7","8","9","10","11","12","13","14","15"))
data$reason_dob.factor = factor(data$reason_dob,levels=c("1","2","3"))
data$sex_newborn.factor = factor(data$sex_newborn,levels=c("1","0"))
data$prenatalcare___1.factor = factor(data$prenatalcare___1,levels=c("0","1"))
data$prenatalcare___2.factor = factor(data$prenatalcare___2,levels=c("0","1"))
data$prenatalcare___3.factor = factor(data$prenatalcare___3,levels=c("0","1"))
data$prenatalcare___4.factor = factor(data$prenatalcare___4,levels=c("0","1"))
data$prenatalcare___5.factor = factor(data$prenatalcare___5,levels=c("0","1"))
data$cig_trimester1.factor = factor(data$cig_trimester1,levels=c("1","0"))
data$cig_trimester2.factor = factor(data$cig_trimester2,levels=c("1","0"))
data$cig_trimester3.factor = factor(data$cig_trimester3,levels=c("1","0"))
data$nargila_trimester1.factor = factor(data$nargila_trimester1,levels=c("1","0"))
data$nargila_trimester2.factor = factor(data$nargila_trimester2,levels=c("1","0"))
data$nargila_trimester3.factor = factor(data$nargila_trimester3,levels=c("1","0"))
data$exposed_trimester1.factor = factor(data$exposed_trimester1,levels=c("1","0"))
data$exposed_trimester2.factor = factor(data$exposed_trimester2,levels=c("1","0"))
data$exposed_trimester3.factor = factor(data$exposed_trimester3,levels=c("1","0"))
data$mom_vitd_newborn.factor = factor(data$mom_vitd_newborn,levels=c("1","0"))
data$supplements___0.factor = factor(data$supplements___0,levels=c("0","1"))
data$supplements___1.factor = factor(data$supplements___1,levels=c("0","1"))
data$supplements___2.factor = factor(data$supplements___2,levels=c("0","1"))
data$supplements___3.factor = factor(data$supplements___3,levels=c("0","1"))
data$supplements___4.factor = factor(data$supplements___4,levels=c("0","1"))
data$supplements___5.factor = factor(data$supplements___5,levels=c("0","1"))
data$supplements___6.factor = factor(data$supplements___6,levels=c("0","1"))
data$supplements___7.factor = factor(data$supplements___7,levels=c("0","1"))
data$supplements___8.factor = factor(data$supplements___8,levels=c("0","1"))
data$mom_vac_newborn.factor = factor(data$mom_vac_newborn,levels=c("1","0"))
data$mother_dress_newborn.factor = factor(data$mother_dress_newborn,levels=c("1","2","3"))
data$plan_breastfeed.factor = factor(data$plan_breastfeed,levels=c("1","0"))
data$prior_preg.factor = factor(data$prior_preg,levels=c("0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15"))
data$mom_dis___1.factor = factor(data$mom_dis___1,levels=c("0","1"))
data$mom_dis___2.factor = factor(data$mom_dis___2,levels=c("0","1"))
data$mom_dis___3.factor = factor(data$mom_dis___3,levels=c("0","1"))
data$mom_dis___4.factor = factor(data$mom_dis___4,levels=c("0","1"))
data$mom_dis___5.factor = factor(data$mom_dis___5,levels=c("0","1"))
data$mom_dis___6.factor = factor(data$mom_dis___6,levels=c("0","1"))
data$mom_dis___7.factor = factor(data$mom_dis___7,levels=c("0","1"))
data$mom_dis___8.factor = factor(data$mom_dis___8,levels=c("0","1"))
data$mom_dis___9.factor = factor(data$mom_dis___9,levels=c("0","1"))
data$mom_dis___11.factor = factor(data$mom_dis___11,levels=c("0","1"))
data$mom_dis___12.factor = factor(data$mom_dis___12,levels=c("0","1"))
data$mom_dis___10.factor = factor(data$mom_dis___10,levels=c("0","1"))
data$plan_tea.factor = factor(data$plan_tea,levels=c("0","1"))
data$plan_water.factor = factor(data$plan_water,levels=c("0","1"))
data$plan_formula.factor = factor(data$plan_formula,levels=c("0","1"))
data$plan_other.factor = factor(data$plan_other,levels=c("0","1"))
data$plan_none.factor = factor(data$plan_none,levels=c("0","1"))
data$mom_edu.factor = factor(data$mom_edu,levels=c("1","7","2","3","4","5","6"))
data$premature_babies.factor = factor(data$premature_babies,levels=c("1","0"))
data$no_prem_babies.factor = factor(data$no_prem_babies,levels=c("1","2","3","4","5","6","7","8","9","10","11","12","13"))
data$sister_prem_babies.factor = factor(data$sister_prem_babies,levels=c("1","0"))
data$no_sisters_prem.factor = factor(data$no_sisters_prem,levels=c("1","2","3","4","5","6","7","8","9","10","11","12","13"))
data$no_sisters_prem_babies.factor = factor(data$no_sisters_prem_babies,levels=c("1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20"))
data$cousins_prem_babies.factor = factor(data$cousins_prem_babies,levels=c("1","2"))
data$no_cousins_prem.factor = factor(data$no_cousins_prem,levels=c("1","2","3","4","5","6","7","8","9","10","11","12","13"))
data$no_cousins_prem_babies.factor = factor(data$no_cousins_prem_babies,levels=c("1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20"))
data$fem_rel_prem_babies.factor = factor(data$fem_rel_prem_babies,levels=c("1","0"))
data$no_fem_rel_prem.factor = factor(data$no_fem_rel_prem,levels=c("1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20"))
data$mom_job.factor = factor(data$mom_job,levels=c("0","1"))
data$dad_job.factor = factor(data$dad_job,levels=c("0","1"))
data$future_contact.factor = factor(data$future_contact,levels=c("1","0"))
data$newborn_form_complete.factor = factor(data$newborn_form_complete,levels=c("0","1","2"))
data$sera_levels.factor = factor(data$sera_levels,levels=c("1","0"))
data$newborn_vitamin_d_levels_complete.factor = factor(data$newborn_vitamin_d_levels_complete,levels=c("0","1","2"))
data$mother_sera.factor = factor(data$mother_sera,levels=c("1","0"))
data$maternal_vitamin_d_levels_complete.factor = factor(data$maternal_vitamin_d_levels_complete,levels=c("0","1","2"))

levels(data$verbal_consent.factor)=c("Yes","No")
levels(data$mom_nationality_newborn.factor)=c("Jordanian","Egyptian","Palestinian","Iraqi","Syrian","Sudanese","Russian","Asian","Other")
levels(data$dad_nationality_newborn.factor)=c("Jordanian","Egyptian","Palestinian","Iraqi","Syrian","Sudanese","Russian","Asian","Other")
levels(data$lmp_known.factor)=c("LMP known","LMP unknown")
levels(data$gestational_age_newborn.factor)=c("24","25","26","27","28","29","30","31","32","33","34","35","36","37","38","39","40","41","42","43")
levels(data$gest_verified.factor)=c("No","Yes")
levels(data$delivery_newborn.factor)=c("NSVD","C-Section")
levels(data$csection_newborn.factor)=c("Elective","Non-elective")
levels(data$reason_csection_newborn.factor)=c("Fetal","Maternal")
levels(data$nicu.factor)=c("No","Yes")
levels(data$nicu_reason2.factor)=c("Sepsis","Difficulty in breathing","Prematurity","Heart disease","Congenital malformations","Overweight infant","Low birth weight infant","Jaundice","Low apgar score","Seizures","Metabolic abnormality","Hypoglycemia","Hypocalcemia","Neonatal asphyxia","Brain hemorrhage")
levels(data$reason_dob.factor)=c("Respiratory Distress Syndrome","Neonatal Pneumonia (Aspiration or other)","Other")
levels(data$sex_newborn.factor)=c("Male","Female")
levels(data$prenatalcare___1.factor)=c("Unchecked","Checked")
levels(data$prenatalcare___2.factor)=c("Unchecked","Checked")
levels(data$prenatalcare___3.factor)=c("Unchecked","Checked")
levels(data$prenatalcare___4.factor)=c("Unchecked","Checked")
levels(data$prenatalcare___5.factor)=c("Unchecked","Checked")
levels(data$cig_trimester1.factor)=c("Yes","No")
levels(data$cig_trimester2.factor)=c("Yes","No")
levels(data$cig_trimester3.factor)=c("Yes","No")
levels(data$nargila_trimester1.factor)=c("Yes","No")
levels(data$nargila_trimester2.factor)=c("Yes","No")
levels(data$nargila_trimester3.factor)=c("Yes","No")
levels(data$exposed_trimester1.factor)=c("Yes","No")
levels(data$exposed_trimester2.factor)=c("Yes","No")
levels(data$exposed_trimester3.factor)=c("Yes","No")
levels(data$mom_vitd_newborn.factor)=c("Yes","No")
levels(data$supplements___0.factor)=c("Unchecked","Checked")
levels(data$supplements___1.factor)=c("Unchecked","Checked")
levels(data$supplements___2.factor)=c("Unchecked","Checked")
levels(data$supplements___3.factor)=c("Unchecked","Checked")
levels(data$supplements___4.factor)=c("Unchecked","Checked")
levels(data$supplements___5.factor)=c("Unchecked","Checked")
levels(data$supplements___6.factor)=c("Unchecked","Checked")
levels(data$supplements___7.factor)=c("Unchecked","Checked")
levels(data$supplements___8.factor)=c("Unchecked","Checked")
levels(data$mom_vac_newborn.factor)=c("Yes","No")
levels(data$mother_dress_newborn.factor)=c("European dress","Head scarf only","Fully covered")
levels(data$plan_breastfeed.factor)=c("Yes","No")
levels(data$prior_preg.factor)=c("0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15")
levels(data$mom_dis___1.factor)=c("Unchecked","Checked")
levels(data$mom_dis___2.factor)=c("Unchecked","Checked")
levels(data$mom_dis___3.factor)=c("Unchecked","Checked")
levels(data$mom_dis___4.factor)=c("Unchecked","Checked")
levels(data$mom_dis___5.factor)=c("Unchecked","Checked")
levels(data$mom_dis___6.factor)=c("Unchecked","Checked")
levels(data$mom_dis___7.factor)=c("Unchecked","Checked")
levels(data$mom_dis___8.factor)=c("Unchecked","Checked")
levels(data$mom_dis___9.factor)=c("Unchecked","Checked")
levels(data$mom_dis___11.factor)=c("Unchecked","Checked")
levels(data$mom_dis___12.factor)=c("Unchecked","Checked")
levels(data$mom_dis___10.factor)=c("Unchecked","Checked")
levels(data$plan_tea.factor)=c("Unchecked","Checked")
levels(data$plan_water.factor)=c("Unchecked","Checked")
levels(data$plan_formula.factor)=c("Unchecked","Checked")
levels(data$plan_other.factor)=c("Unchecked","Checked")
levels(data$plan_none.factor)=c("Unchecked","Checked")
levels(data$mom_edu.factor)=c("Primary education","Preparatory school","Secondary education","Some college","College","University","No education")
levels(data$premature_babies.factor)=c("Yes","No")
levels(data$no_prem_babies.factor)=c("1","2","3","4","5","6","7","8","9","10","11","12","13")
levels(data$sister_prem_babies.factor)=c("Yes","No")
levels(data$no_sisters_prem.factor)=c("1","2","3","4","5","6","7","8","9","10","11","12","13")
levels(data$no_sisters_prem_babies.factor)=c("1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20")
levels(data$cousins_prem_babies.factor)=c("Yes","No")
levels(data$no_cousins_prem.factor)=c("1","2","3","4","5","6","7","8","9","10","11","12","13")
levels(data$no_cousins_prem_babies.factor)=c("1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20")
levels(data$fem_rel_prem_babies.factor)=c("Yes","No")
levels(data$no_fem_rel_prem.factor)=c("1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20")
levels(data$mom_job.factor)=c("No","Yes")
levels(data$dad_job.factor)=c("No","Yes")
levels(data$future_contact.factor)=c("Yes","No")
levels(data$newborn_form_complete.factor)=c("Incomplete","Unverified","Complete")
levels(data$sera_levels.factor)=c("Yes","No")
levels(data$newborn_vitamin_d_levels_complete.factor)=c("Incomplete","Unverified","Complete")
levels(data$mother_sera.factor)=c("Yes","No")
levels(data$maternal_vitamin_d_levels_complete.factor)=c("Incomplete","Unverified","Complete")








data$primary_exposure <- data$secondary_exposure <- data$any_exposure <- NULL
data$primary_exposure[data$cig_trimester1.factor=="Yes"] <- "Yes"
data$primary_exposure[data$cig_trimester2.factor=="Yes"] <- "Yes"
data$primary_exposure[data$cig_trimester3.factor=="Yes"] <- "Yes"
data$primary_exposure[data$nargila_trimester1.factor=="Yes"] <- "Yes"
data$primary_exposure[data$nargila_trimester2.factor=="Yes"] <- "Yes"
data$primary_exposure[data$nargila_trimester3.factor=="Yes"] <- "Yes"
data$secondary_exposure[data$exposed_trimester1.factor=="Yes"] <- "Yes"
data$secondary_exposure[data$exposed_trimester2.factor=="Yes"] <- "Yes"
data$secondary_exposure[data$exposed_trimester3.factor=="Yes"] <- "Yes"
data$any_exposure[data$primary_exposure=="Yes"] <- "Yes"
data$any_exposure[data$secondary_exposure=="Yes"] <- "Yes"

data$primary_exposure <- as.factor(data$primary_exposure)
data$secondary_exposure <- as.factor(data$secondary_exposure)
data$any_exposure <- as.factor(data$any_exposure)
label(data$primary_exposure)="Primary exposure to smoking"
label(data$secondary_exposure)="Secondary exposure to smoking"
label(data$any_exposure)="Any exposure to smoking"

data$mom_nationality_newborn.factor[data$mom_nationality_newborn.factor %in% c("Russian","Asian","Iraqi")] <- "Other"
data$mom_nationality_newborn.factor <- droplevels(data$mom_nationality_newborn.factor)
data$dad_nationality_newborn.factor[data$dad_nationality_newborn.factor %in% c("Russian","Asian","Iraqi","Sudanese")] <- "Other"
data$dad_nationality_newborn.factor <- droplevels(data$dad_nationality_newborn.factor)
label(data$mom_nationality_newborn.factor)="Mothers Nationality"
label(data$dad_nationality_newborn.factor)="Fathers Nationality"

data$gestational_age_newborn <- forcenumber(data$gestational_age_newborn.factor)
data$nicu[is.na(data$nicu)] <- 0
data$nicu.factor[is.na(data$nicu.factor)] <- "No"
