#############################################################
#
#   Program: table1.R
#   Project: 
#   PI: 
#   Statistican/Programmer: Meridith Blevins, MS
#   Purpose: 
#   Notes: 
#   Created: 14 November 2011
#   Revisions: 
#     
# #
#############################################################
# getmedtex, getnptex, and simpleCAP are defined in "table_functions.R"

analysis$mom_age <- as.numeric(round((analysis$birth_date_newborn - convertdate(analysis$mother_bday_newborn))/365.25,1))
analysis$mom_age[analysis$mom_age > 50] <- NA
analysis$mom_age[analysis$mom_age < 12] <- NA
analysis$mom_ht <- ifelse(forcenumber(analysis$mom_ht)<2,forcenumber(analysis$mom_ht),forcenumber(analysis$mom_ht)/100)
analysis$mom_ht[!is.na(analysis$mom_ht) & analysis$mom_ht > 2] <- NA
analysis$mom_bmi <- round(forcenumber(analysis$mom_wt) / analysis$mom_ht^2,1)

analysis$mom_edu.factor[analysis$mom_edu.factor=="Some college"] <- "College"
analysis$mom_edu.factor[analysis$mom_edu.factor=="University"] <- "College"
analysis$mom_edu.factor[analysis$mom_edu.factor=="Preparatory school"] <- "Secondary education"
analysis$mom_edu.factor <- droplevels(analysis$mom_edu.factor)

analysis$mom_nationality_newborn.factor[analysis$mom_nationality_newborn.factor=="Syrian"] <- "Other"
analysis$dad_nationality_newborn.factor[analysis$dad_nationality_newborn.factor=="Syrian"] <- "Other"
analysis$mom_nationality_newborn.factor <- droplevels(analysis$mom_nationality_newborn.factor)
analysis$dad_nationality_newborn.factor <- droplevels(analysis$dad_nationality_newborn.factor)


NICU.N <- table(analysis$nicu.factor)
sex.n1 <- getnptex(var=analysis$sex_newborn.factor,by=analysis$nicu.factor,label=label(analysis$sex_newborn),rowlabel=levels(analysis$sex_newborn.factor),inc.pval=TRUE)
sex.n1 <- getnp1line(var=ifelse(analysis$sex_newborn.factor=="Female","True",NA),by=analysis$nicu.factor,rowlabel="Female, n(\\\\%)",inc.pval=TRUE,indent=FALSE)$line[1]
ges.m1 <- getmedtex(var=analysis$gestational_age_newborn ,by=analysis$nicu.factor,label="Gestational age",note="a",inc.pval=TRUE)
ges.r1 <- getrangetex(var=analysis$gestational_age_newborn ,by=analysis$nicu.factor,label="Gestational age")
bwt.m1 <- getmedtex(var=analysis$birth_wt_newborn ,by=analysis$nicu.factor,label=label(analysis$birth_wt_newborn ),note="a",inc.pval=TRUE,digits=1)
bwt.r1 <- getrangetex(var=analysis$birth_wt_newborn ,by=analysis$nicu.factor,label=label(analysis$birth_wt_newborn ),digits=1)
lnd.n1 <- getnptex(var=analysis$delivery_newborn.factor,by=analysis$nicu.factor,label=label(analysis$delivery_newborn),rowlabel=levels(analysis$delivery_newborn.factor),inc.pval=TRUE)
age.m1 <- getmedtex(var=analysis$mom_age ,by=analysis$nicu.factor,label="Age of Mother",note="a",inc.pval=TRUE,digits=0)
bmi.m1 <- getmedtex(var=analysis$mom_bmi ,by=analysis$nicu.factor,label="BMI of Mother",note="a",inc.pval=TRUE,digits=1)
par.m1 <- getmedtex(var=analysis$prior_preg ,by=analysis$nicu.factor,label=label(analysis$prior_preg ),note="a",inc.pval=TRUE)
ali.m1 <- getmedtex(var=analysis$child_alive     ,by=analysis$nicu.factor,label=label(analysis$child_alive     ),note="a",inc.pval=TRUE)
edu.n1 <- getnptex(var=analysis$mom_edu.factor,by=analysis$nicu.factor,label=label(analysis$mom_edu),rowlabel=levels(analysis$mom_edu.factor),inc.pval=TRUE)
dre.n1 <- getnptex(var=analysis$mother_dress_newborn.factor,by=analysis$nicu.factor,label=label(analysis$mother_dress_newborn),rowlabel=levels(analysis$mother_dress_newborn.factor),inc.pval=TRUE)
mna.n1 <- getnptex(var=analysis$mom_nationality_newborn.factor,by=analysis$nicu.factor,label=label(analysis$mom_nationality_newborn),rowlabel=levels(analysis$mom_nationality_newborn.factor),inc.pval=TRUE)
dna.n1 <- getnptex(var=analysis$dad_nationality_newborn.factor,by=analysis$nicu.factor,label=label(analysis$dad_nationality_newborn),rowlabel=levels(analysis$dad_nationality_newborn.factor),inc.pval=TRUE)
          # .n1 <- getnptex(var=,by=analysis$nicu.factor,label=label(),rowlabel=levels(),inc.pval=TRUE)
          # .n1 <- getnptex(var=,by=analysis$nicu.factor,label=label(),rowlabel=levels(),inc.pval=TRUE)

sm1.n1 <- getnp1line(var=ifelse(analysis$primary_exposure=="Yes","True",NA),by=analysis$nicu.factor,rowlabel=label(analysis$primary_exposure),inc.pval=TRUE,indent=FALSE)$line[1]
sm2.n1 <- getnp1line(var=ifelse(analysis$secondary_exposure=="Yes","True",NA),by=analysis$nicu.factor,rowlabel=label(analysis$secondary_exposure),inc.pval=TRUE,indent=FALSE)$line[1]
sm3.n1 <- getnp1line(var=ifelse(analysis$any_exposure=="Yes","True",NA),by=analysis$nicu.factor,rowlabel=label(analysis$any_exposure),inc.pval=TRUE,indent=FALSE)$line[1]
pc1.n1 <- getnp1line(var=ifelse(analysis$prenatalcare___1.factor=="Checked","True",NA),by=analysis$nicu.factor,rowlabel="MOH",inc.pval=TRUE,indent=TRUE)$line[1]
pc2.n1 <- getnp1line(var=ifelse(analysis$prenatalcare___2.factor=="Checked","True",NA),by=analysis$nicu.factor,rowlabel="UNRWA",inc.pval=TRUE,indent=TRUE)$line[1]
pc3.n1 <- getnp1line(var=ifelse(analysis$prenatalcare___3.factor=="Checked","True",NA),by=analysis$nicu.factor,rowlabel="Private Sector",inc.pval=TRUE,indent=TRUE)$line[1]
pc4.n1 <- getnp1line(var=ifelse(analysis$prenatalcare___4.factor=="Checked","True",NA),by=analysis$nicu.factor,rowlabel="University",inc.pval=TRUE,indent=TRUE)$line[1]
pc5.n1 <- getnp1line(var=ifelse(analysis$prenatalcare___5.factor=="Checked","True",NA),by=analysis$nicu.factor,rowlabel="Other",inc.pval=TRUE,indent=TRUE)$line[1]
pc6.n1 <- getnp1line(var=ifelse(analysis$prenatalcare___5.factor=="Unchecked" & analysis$prenatalcare___2.factor=="Unchecked" & 
                                analysis$prenatalcare___4.factor=="Unchecked" & analysis$prenatalcare___1.factor=="Unchecked" & 
                                analysis$prenatalcare___3.factor=="Unchecked","True",NA),by=analysis$nicu.factor,rowlabel="None specified",inc.pval=TRUE,formatper="myper1",indent=TRUE)$line[1]

sud.n1 <- getnp1line(var=ifelse(analysis$mom_vitd_newborn.factor=="Yes","True",NA),by=analysis$nicu.factor,rowlabel=label(analysis$mom_vitd_newborn),inc.pval=TRUE,indent=FALSE)$line[1]
dur.m1 <- getmedtex(var=analysis$mom_vitd_dur_newborn ,by=analysis$nicu.factor,label=label(analysis$mom_vitd_dur_newborn ),note="a",inc.pval=TRUE,digits=1)
hrs.m1 <- getmedtex(var=analysis$hrs_outside_newborn ,by=analysis$nicu.factor,label=label(analysis$hrs_outside_newborn ),note="a",inc.pval=TRUE,digits=1)
su1.n1 <- getnp1line(var=ifelse(analysis$supplements___1.factor=="Checked","True",NA),by=analysis$nicu.factor,rowlabel="Folic Acid",inc.pval=TRUE,indent=TRUE)$line[1]
su2.n1 <- getnp1line(var=ifelse(analysis$supplements___2.factor=="Checked","True",NA),by=analysis$nicu.factor,rowlabel="Multivitamin$^*$",inc.pval=TRUE,indent=TRUE)$line[1]
su3.n1 <- getnp1line(var=ifelse(analysis$supplements___3.factor=="Checked","True",NA),by=analysis$nicu.factor,rowlabel="Calcium",inc.pval=TRUE,indent=TRUE)$line[1]
su4.n1 <- getnp1line(var=ifelse(analysis$supplements___4.factor=="Checked","True",NA),by=analysis$nicu.factor,rowlabel="Calcium with vitamin D$^*$",inc.pval=TRUE,indent=TRUE)$line[1]
su5.n1 <- getnp1line(var=ifelse(analysis$supplements___5.factor=="Checked","True",NA),by=analysis$nicu.factor,rowlabel="Vitamin D only$^*$",inc.pval=TRUE,indent=TRUE)$line[1]
su6.n1 <- getnp1line(var=ifelse(analysis$supplements___6.factor=="Checked","True",NA),by=analysis$nicu.factor,rowlabel="Iron",inc.pval=TRUE,indent=TRUE)$line[1]
su7.n1 <- getnp1line(var=ifelse(analysis$supplements___7.factor=="Checked","True",NA),by=analysis$nicu.factor,rowlabel="Unknown Vitamin",inc.pval=TRUE,indent=TRUE)$line[1]
su8.n1 <- getnp1line(var=ifelse(analysis$supplements___8.factor=="Checked","True",NA),by=analysis$nicu.factor,rowlabel="Other",inc.pval=TRUE,indent=TRUE)$line[1]
analysis$vitdsupp <- ifelse(analysis$supplements___2.factor=="Checked" | analysis$supplements___4.factor=="Checked" | analysis$supplements___5.factor=="Checked","True",NA)
su9.n1 <- getnp1line(var=analysis$vitdsupp,by=analysis$nicu.factor,rowlabel="$^*$Any Vitamin D Supplementation",inc.pval=TRUE,indent=TRUE)$line[1]
vac.n1 <- getnp1line(var=ifelse(analysis$mom_vac_newborn.factor=="Yes","True",NA),by=analysis$nicu.factor,rowlabel=label(analysis$mom_vac_newborn),inc.pval=TRUE,indent=FALSE)$line[1]
co1.n1 <- getnp1line(var=ifelse(analysis$mom_dis___1.factor =="Checked","True",NA),by=analysis$nicu.factor,rowlabel="Hyperparathyroidism",inc.pval=TRUE,indent=TRUE)$line[1]
co2.n1 <- getnp1line(var=ifelse(analysis$mom_dis___2.factor =="Checked","True",NA),by=analysis$nicu.factor,rowlabel="Diabetes",inc.pval=TRUE,indent=TRUE)$line[1]
co3.n1 <- getnp1line(var=ifelse(analysis$mom_dis___3.factor =="Checked","True",NA),by=analysis$nicu.factor,rowlabel="Gestational Diabetes",inc.pval=TRUE,indent=TRUE)$line[1]
co4.n1 <- getnp1line(var=ifelse(analysis$mom_dis___4.factor =="Checked","True",NA),by=analysis$nicu.factor,rowlabel="Thyroid dysfunction",inc.pval=TRUE,indent=TRUE)$line[1]
# if(sum(analysis$mom_dis___5.factor =="Checked")>0) stop("check disease 5")
co5.n1 <- getnp1line(var=ifelse(analysis$mom_dis___5.factor =="Checked","True",NA),by=analysis$nicu.factor,rowlabel="Renal failure",inc.pval=TRUE,indent=TRUE)$line[1]
co6.n1 <- getnp1line(var=ifelse(analysis$mom_dis___6.factor =="Checked","True",NA),by=analysis$nicu.factor,rowlabel="Heart Disease",inc.pval=TRUE,indent=TRUE)$line[1]
co7.n1 <- getnp1line(var=ifelse(analysis$mom_dis___7.factor =="Checked","True",NA),by=analysis$nicu.factor,rowlabel="Asthma",inc.pval=TRUE,indent=TRUE)$line[1]
co8.n1 <- getnp1line(var=ifelse(analysis$mom_dis___8.factor =="Checked","True",NA),by=analysis$nicu.factor,rowlabel="Rheumatoid Arthritis",inc.pval=TRUE,indent=TRUE)$line[1]
co9.n1 <- getnp1line(var=ifelse(analysis$mom_dis___9.factor =="Checked","True",NA),by=analysis$nicu.factor,rowlabel="Chronic disease requiring treatment with corticosteroids",inc.pval=TRUE,indent=TRUE)$line[1]
c10.n1 <- getnp1line(var=ifelse(analysis$mom_dis___11.factor=="Checked","True",NA),by=analysis$nicu.factor,rowlabel="Hypertension",inc.pval=TRUE,indent=TRUE)$line[1]
c11.n1 <- getnp1line(var=ifelse(analysis$mom_dis___12.factor=="Checked","True",NA),by=analysis$nicu.factor,rowlabel="Gestational (Pregnancy-Induced) Hypertension",inc.pval=TRUE,indent=TRUE)$line[1]
vtd.m1 <- getmedtex(var=analysis$vitdtot ,by=analysis$nicu.factor,label="Newborn Total Vitamin D",note="a",inc.pval=TRUE,digits=1)
# .m1 <- getmedtex(var=,by=analysis$nicu.factor,label=label(),note="a",inc.pval=TRUE)
# .m1 <- getmedtex(var=,by=analysis$nicu.factor,label=label(),note="a",inc.pval=TRUE)

table1  <- paste(sex.n1,ges.m1$line,ges.r1$line,bwt.m1$line,bwt.r1$line,lnd.n1$line,age.m1$line,bmi.m1$line.incmiss,par.m1$line.incmiss,
		 ali.m1$line.incmiss,edu.n1$line.incmiss,dre.n1$line,mna.n1$line,dna.n1$line,sm1.n1,
		 sm2.n1,sm3.n1,"Where mother attended prenatal care\\\\tnote{b}",pc1.n1,pc2.n1,pc3.n1,pc4.n1,pc5.n1,pc6.n1,sep=" \\\\\\\\ ")



table2  <- paste(sud.n1,dur.m1$line.incmiss,hrs.m1$line,"Supplements taken by mother\\\\tnote{b}",su1.n1,su2.n1,su3.n1,
		 su4.n1,su5.n1,su6.n1,su7.n1,su8.n1,su9.n1,vac.n1,
		 "Maternal medical history\\\\tnote{b}",co1.n1,co2.n1,co3.n1,co4.n1,co5.n1,co6.n1,
		 co7.n1,co8.n1,co9.n1,c10.n1,c11.n1,# mvd.m1$line.incmiss,
		 vtd.m1$line.incmiss,sep=" \\\\\\\\ ")



