#############################################################
#
#   Program: table1.R
#   Project: 
#   PI: 
#   Statistican/Programmer: Meridith Blevins, MS
#   Purpose: 
#   Notes: 
#   Created: 7 February 2011
#   Revisions: 
#     
#
#############################################################
# getmeduni, getnpuni, and simpleCAP are defined in "table_functions.R"

nicu$receive_surfactant.factor <- droplevels(nicu$receive_surfactant.factor)
nicu$wbc_count[nicu$wbc_count=="6/13/2010"] <- NA; nicu$wbc_count <- forcenumber(nicu$wbc_count)
nicu$type_of_delivery.factor[nicu$type_of_delivery.factor=="Unknown or data not available"] <- NA
nicu$type_of_delivery.factor <- droplevels(nicu$type_of_delivery.factor)


sex.n2 <- getnp1lineuni(var=ifelse(nicu$sex.factor=="Female",1,NA),rowlabel="Female",indent=FALSE)
age.m2 <- getmeduni(var=forcenumber(nicu$gestational_age),label="Gestational age",note="a")
day.m2 <- getmeduni(var=nicu$days_in_hospital,label="Days in hospital",note="a")
ad1.n2 <- getnp1lineuni(var=ifelse(nicu$nicu_admit_reason___1==1,1,NA),rowlabel="Sepsis")
ad2.n2 <- getnp1lineuni(var=ifelse(nicu$nicu_admit_reason___2==1,1,NA),rowlabel="RDS")
ad3.n2 <- getnp1lineuni(var=ifelse(nicu$nicu_admit_reason___3==1,1,NA),rowlabel="Neonatal pneumonia")       
ad4.n2 <- getnp1lineuni(var=ifelse(nicu$nicu_admit_reason___4==1,1,NA),rowlabel="Prematurity")
ad5.n2 <- getnp1lineuni(var=ifelse(nicu$nicu_admit_reason___5==1,1,NA),rowlabel="Heart Disease")
ad6.n2 <- getnp1lineuni(var=ifelse(nicu$nicu_admit_reason___6==1,1,NA),rowlabel="Congenital Malformation")
ad7.n2 <- getnp1lineuni(var=ifelse(nicu$nicu_admit_reason___7==1,1,NA),rowlabel="Overweight Infant")
ad8.n2 <- getnp1lineuni(var=ifelse(nicu$nicu_admit_reason___8==1,1,NA),rowlabel="Low birth weight infant")
ad9.n2 <- getnp1lineuni(var=ifelse(nicu$nicu_admit_reason___9==1,1,NA),rowlabel="Jaundice")
ad10.n2 <- getnp1lineuni(var=ifelse(nicu$nicu_admit_reason___10==1,1,NA),rowlabel="Low apgar score)")
ad11.n2 <- getnp1lineuni(var=ifelse(nicu$nicu_admit_reason___11==1,1,NA),rowlabel="Seizures")
if(sum(nicu$nicu_admit_reason___12,na.rm=TRUE)>0) stop("ERROR: ")
#ad12.n2 <- getnp1lineuni(var=ifelse(nicu$nicu_admit_reason___12==1,1,NA),rowlabel="Metabolic abnormality")
ad13.n2 <- getnp1lineuni(var=ifelse(nicu$nicu_admit_reason___13==1,1,NA),rowlabel="Hypoglycemia")
if(sum(nicu$nicu_admit_reason___14,na.rm=TRUE)>0) stop("ERROR: ")
#ad14.n2 <- getnp1lineuni(var=ifelse(nicu$nicu_admit_reason___14==1,1,NA),rowlabel="Hypocalcemia")
ad15.n2 <- getnp1lineuni(var=ifelse(nicu$nicu_admit_reason___15==1,1,NA),rowlabel="Neonatal Asphyxia")
if(sum(nicu$nicu_admit_reason___16,na.rm=TRUE)>0) stop("ERROR: ")
#ad16.n2 <- getnp1lineuni(var=ifelse(nicu$nicu_admit_reason___16==1,1,NA),rowlabel="Brain Hemmorrhage")
ad17.n2 <- getnp1lineuni(var=ifelse(nicu$nicu_admit_reason___17==1,1,NA),rowlabel="Other")
death.n2 <- getnp1lineuni(var=ifelse(nicu$nicu_death.factor=="Yes",1,NA),rowlabel="Death",indent=FALSE)
wt0.m2 <- getmeduni(var=nicu$birth_weight/1000,label="Birth weight (kg)",note="a",digits=1)
wt5.m2 <- getmeduni(var=nicu$weight_5_days/1000,label="Weight at 5 days (kg)",note="a",digits=1)
ap1.m2 <- getmeduni(var=nicu$apgar_score_1_minute,label="Apgar at 1 minute",note="a")
ap5.m2 <- getmeduni(var=nicu$apgar_score_5_minutes,label="Apgar at 5 minutes",note="a")
vtd.m2 <- getmeduni(var=nicu$vitamin_d_level,label="Vitamin D",note="a",digits=1)
crp1.n2 <- getnpuni(var=nicu$crp_everpos.factor,label="CRP (ever positive)",rowlabel=levels(nicu$crp_everpos.factor))
sur.n2 <- getnp1lineuni(var=ifelse(nicu$receive_surfactant.factor=="Yes",1,NA),rowlabel="Received surfactant",indent=FALSE)
abdays.m2 <- getmeduni(var=nicu$antib_number_days,label="Days on antibiotics",note="a")
wbc1.m2 <- getmeduni(var=nicu$wbc_count,label="WBC count (1st value)",note="a",digits=1)
oxy1.n2 <- getnp1lineuni(var=ifelse(nicu$mechanical_vent.factor=="Yes",1,NA),rowlabel="Vent",indent=FALSE)
oxy1days.m2 <- getmeduni(var=nicu$vent_number_days,label="\\\\hspace{.2in} Vent days",note="a")
oxy2.n2 <- getnp1lineuni(var=ifelse(nicu$nasal_canula.factor=="Yes",1,NA),rowlabel="Nasal canula",indent=FALSE)
oxy2days.m2 <- getmeduni(var=nicu$nasal_canula_days,label="\\\\hspace{.2in} Nasal canula days",note="a")
oxy3.n2 <- getnp1lineuni(var=ifelse(nicu$oxyhood.factor=="Yes",1,NA),rowlabel="Oxyhood",indent=FALSE)
oxy3days.m2 <- getmeduni(var=nicu$oxyhood_days,label="\\\\hspace{.2in} Oxyhood days",note="a")
oxy4.n2 <- getnp1lineuni(var=ifelse(nicu$incubator_oxygen.factor=="Yes",1,NA),rowlabel="Incubator",indent=FALSE)
oxy4days.m2 <- getmeduni(var=nicu$incubator_o2_days,label="\\\\hspace{.2in} Incubator days",note="a")
del.n2 <- getnpuni(var=nicu$type_of_delivery.factor,label="Delivery",rowlabel=levels(nicu$type_of_delivery.factor))
pr1.n2 <- getnp1lineuni(var=ifelse(nicu$gestational_dm.factor=="Yes",1,NA),rowlabel="Gestational DM",indent=FALSE)
pr2.n2 <- getnp1lineuni(var=ifelse(nicu$prom.factor=="Yes",1,NA),rowlabel="PROM",indent=FALSE)
pr3.n2 <- getnp1lineuni(var=ifelse(nicu$maternal_preeclampsia.factor=="Yes",1,NA),rowlabel="Preeclampsia",indent=FALSE)


# nicu$days_in_hospital[nicu$nicu_death.factor=="Yes"]
# rds_presentation___1 rds_presentation___2 rds_presentation___3 rds_presentation___4 
#nicu$pda_first_week.factor 
#nicu$pda_after_first.factor 
#pneumothorax_first_week.factor 
#nicu$chest_tube_required.factor 
#table(nicu$iv_hemorrhage.factor )
#table(nicu$nec.factor )
#table(nicu$nec_confirmed.factor )
#table(nicu$nec_and_pneumatosis.factor )
#table(nicu$nasal_cpap.factor )
#table(nicu$bpd_diagnosed.factor )
#table(nicu$chorioamnionitis.factor )
#table(nicu$ca_culture_confim.factor )
#table(nicu$fever_labor.factor )
#table(nicu$mother_antibiotics.factor )
#table(nicu$hours_ruptured.factor )
#table(nicu$antenatal_steroids.factor )


table3 <- paste(sex.n2,age.m2$line.incmiss,day.m2$line,"Reason(s) for admission",ad1.n2,ad2.n2,ad3.n2,ad4.n2,ad5.n2,ad6.n2,ad7.n2,ad8.n2,ad9.n2
,ad10.n2 ,ad11.n2 ,ad13.n2,ad15.n2,ad17.n2 ,death.n2,wt0.m2$line.incmiss,wt5.m2$line.incmiss,ap1.m2$line.incmiss,ap5.m2$line.incmiss,vtd.m2$line.incmiss
,crp1.n2$line.incmiss ,sur.n2 ,abdays.m2$line,wbc1.m2$line ,oxy1.n2 ,oxy1days.m2$line,oxy2.n2 ,oxy2days.m2$line,oxy3.n2 
,oxy3days.m2$line,oxy4.n2 ,oxy4days.m2$line,del.n2$line.incmiss ,pr1.n2 ,pr2.n2 ,pr3.n2 ,sep=" \\\\\\\\ ")







