#############################################################
#
#   Program: table1.R
#   Project: 
#   PI: 
#   Statistican/Programmer: Meridith Blevins, MS
#   Purpose: 
#   Notes: 
#   Created: 7 February 2011
#   Revisions: 
#     
#
#############################################################
# getmeduni, getnpuni, and simpleCAP are defined in "table_functions.R"

nicu4 <- nicu[!is.na(nicu$type_of_delivery.factor),]
TYPE.N <- table(nicu4$type_of_delivery.factor)

sex.n1 <- getnp1line(var=ifelse(nicu4$sex.factor=="Female",1,NA),by=nicu4$type_of_delivery.factor,rowlabel="Female",indent=FALSE,inc.pval=TRUE)
age.m1 <- getmedtex(var=forcenumber(nicu4$gestational_age),by=nicu4$type_of_delivery.factor,label="Gestational age",note="a",digits=1)
day.m1 <- getmedtex(var=nicu4$days_in_hospital,by=nicu4$type_of_delivery.factor,label="Days in hospital",note="a")
ad1.n1 <- getnp1line(var=ifelse(nicu4$nicu_admit_reason___1==1,1,NA),by=nicu4$type_of_delivery.factor,rowlabel="Sepsis",inc.pval=TRUE)
ad2.n1 <- getnp1line(var=ifelse(nicu4$nicu_admit_reason___2==1,1,NA),by=nicu4$type_of_delivery.factor,rowlabel="RDS",inc.pval=TRUE)
ad3.n1 <- getnp1line(var=ifelse(nicu4$nicu_admit_reason___3==1,1,NA),by=nicu4$type_of_delivery.factor,rowlabel="Neonatal pneumonia",inc.pval=TRUE)       
ad4.n1 <- getnp1line(var=ifelse(nicu4$nicu_admit_reason___4==1,1,NA),by=nicu4$type_of_delivery.factor,rowlabel="Prematurity",inc.pval=TRUE)
ad5.n1 <- getnp1line(var=ifelse(nicu4$nicu_admit_reason___5==1,1,NA),by=nicu4$type_of_delivery.factor,rowlabel="Heart Disease",inc.pval=TRUE)
ad6.n1 <- getnp1line(var=ifelse(nicu4$nicu_admit_reason___6==1,1,NA),by=nicu4$type_of_delivery.factor,rowlabel="Congenital Malformation",inc.pval=TRUE)
ad7.n1 <- getnp1line(var=ifelse(nicu4$nicu_admit_reason___7==1,1,NA),by=nicu4$type_of_delivery.factor,rowlabel="Overweight Infant",inc.pval=TRUE)
ad8.n1 <- getnp1line(var=ifelse(nicu4$nicu_admit_reason___8==1,1,NA),by=nicu4$type_of_delivery.factor,rowlabel="Low birth weight infant",inc.pval=TRUE)
ad9.n1 <- getnp1line(var=ifelse(nicu4$nicu_admit_reason___9==1,1,NA),by=nicu4$type_of_delivery.factor,rowlabel="Jaundice",inc.pval=TRUE)
ad10.n1 <- getnp1line(var=ifelse(nicu4$nicu_admit_reason___10==1,1,NA),by=nicu4$type_of_delivery.factor,rowlabel="Low apgar score",inc.pval=TRUE)
#ad11.n1 <- getnp1line(var=ifelse(nicu4$nicu_admit_reason___11==1,1,NA),by=nicu4$type_of_delivery.factor,rowlabel="Seizures",inc.pval=TRUE)
if(sum(nicu4$nicu_admit_reason___11,na.rm=TRUE)>0) stop("ERROR: ")
if(sum(nicu4$nicu_admit_reason___12,na.rm=TRUE)>0) stop("ERROR: ")
#ad12.n1 <- getnp1line(var=ifelse(nicu4$nicu_admit_reason___12==1,1,NA),by=nicu4$type_of_delivery.factor,rowlabel="Metabolic abnormality")
ad13.n1 <- getnp1line(var=ifelse(nicu4$nicu_admit_reason___13==1,1,NA),by=nicu4$type_of_delivery.factor,rowlabel="Hypoglycemia",inc.pval=TRUE)
if(sum(nicu4$nicu_admit_reason___14,na.rm=TRUE)>0) stop("ERROR: ")
#ad14.n1 <- getnp1line(var=ifelse(nicu4$nicu_admit_reason___14==1,1,NA),by=nicu4$type_of_delivery.factor,rowlabel="Hypocalcemia")
ad15.n1 <- getnp1line(var=ifelse(nicu4$nicu_admit_reason___15==1,1,NA),by=nicu4$type_of_delivery.factor,rowlabel="Neonatal Asphyxia",inc.pval=TRUE)
if(sum(nicu4$nicu_admit_reason___16,na.rm=TRUE)>0) stop("ERROR: ")
#ad16.n1 <- getnp1line(var=ifelse(nicu4$nicu_admit_reason___16==1,1,NA),by=nicu4$type_of_delivery.factor,rowlabel="Brain Hemmorrhage")
ad17.n1 <- getnp1line(var=ifelse(nicu4$nicu_admit_reason___17==1,1,NA),by=nicu4$type_of_delivery.factor,rowlabel="Other",inc.pval=TRUE)
death.n1 <- getnp1line(var=ifelse(nicu4$nicu_death.factor=="Yes",1,NA),by=nicu4$type_of_delivery.factor,rowlabel="Death",indent=FALSE)
wt0.m1 <- getmedtex(var=nicu4$birth_weight/1000,by=nicu4$type_of_delivery.factor,label="Birth weight (kg)",note="a",digits=1)
wt5.m1 <- getmedtex(var=nicu4$weight_5_days/1000,by=nicu4$type_of_delivery.factor,label="Weight at 5 days (kg)",note="a",digits=2)
ap1.m1 <- getmedtex(var=nicu4$apgar_score_1_minute,by=nicu4$type_of_delivery.factor,label="Apgar at 1 minute",note="a")
ap5.m1 <- getmedtex(var=nicu4$apgar_score_5_minutes,by=nicu4$type_of_delivery.factor,label="Apgar at 5 minutes",note="a")
vtd.m1 <- getmedtex(var=nicu4$vitamin_d_level,by=nicu4$type_of_delivery.factor,label="Vitamin D",note="a")
crp1.n1 <- getnptex(var=nicu4$crp_everpos.factor,by=nicu4$type_of_delivery.factor,label="CRP (ever positive)",rowlabel=levels(nicu4$crp_everpos.factor))
sur.n1 <- getnp1line(var=ifelse(nicu4$receive_surfactant.factor=="Yes",1,NA),by=nicu4$type_of_delivery.factor,rowlabel="Received surfactant",indent=FALSE,inc.pval=TRUE)
abdays.m1 <- getmedtex(var=nicu4$antib_number_days,by=nicu4$type_of_delivery.factor,label="Days on antibiotics",note="a")
## WAY TOO MANY MISSING:   abnum.m1 <- getmedtex(var=forcenumber(nicu4$total_number_of_antibiotic.factor),by=nicu4$type_of_delivery.factor,label="Number of antibiotics",note="a")
wbc1.m1 <- getmedtex(var=nicu4$wbc_count,by=nicu4$type_of_delivery.factor,label="WBC count (1st value)",note="a",digits=1)
oxy1.n1 <- getnp1line(var=ifelse(nicu4$mechanical_vent.factor=="Yes",1,NA),by=nicu4$type_of_delivery.factor,rowlabel="Vent",indent=FALSE,inc.pval=TRUE)
oxy1days.m1 <- getmedtex(var=nicu4$vent_number_days,by=nicu4$type_of_delivery.factor,label="\\\\hspace{.2in} Vent days",note="a",inc.pval=FALSE)
oxy2.n1 <- getnp1line(var=ifelse(nicu4$nasal_canula.factor=="Yes",1,NA),by=nicu4$type_of_delivery.factor,rowlabel="Nasal canula",indent=FALSE,inc.pval=TRUE)
oxy2days.m1 <- getmedtex(var=nicu4$nasal_canula_days,by=nicu4$type_of_delivery.factor,label="\\\\hspace{.2in} Nasal canula days",note="a",inc.pval=FALSE)
oxy3.n1 <- getnp1line(var=ifelse(nicu4$oxyhood.factor=="Yes",1,NA),by=nicu4$type_of_delivery.factor,rowlabel="Oxyhood",indent=FALSE,inc.pval=TRUE)
oxy3days.m1 <- getmedtex(var=nicu4$oxyhood_days,by=nicu4$type_of_delivery.factor,label="\\\\hspace{.2in} Oxyhood days",note="a",inc.pval=FALSE)
oxy4.n1 <- getnp1line(var=ifelse(nicu4$incubator_oxygen.factor=="Yes",1,NA),by=nicu4$type_of_delivery.factor,rowlabel="Incubator",indent=FALSE,inc.pval=TRUE)
oxy4days.m1 <- getmedtex(var=nicu4$incubator_o2_days,by=nicu4$type_of_delivery.factor,label="\\\\hspace{.2in} Incubator days",note="a",inc.pval=FALSE)
pr1.n1 <- getnp1line(var=ifelse(nicu4$gestational_dm.factor=="Yes",1,NA),by=nicu4$type_of_delivery.factor,rowlabel="Gestational DM",indent=FALSE,inc.pval=TRUE)
pr2.n1 <- getnp1line(var=ifelse(nicu4$prom.factor=="Yes",1,NA),by=nicu4$type_of_delivery.factor,rowlabel="PROM",indent=FALSE,inc.pval=TRUE)
pr3.n1 <- getnp1line(var=ifelse(nicu4$maternal_preeclampsia.factor=="Yes",1,NA),by=nicu4$type_of_delivery.factor,rowlabel="Preeclampsia",indent=FALSE,inc.pval=TRUE)


table7 <- paste(sex.n1,age.m1$line.incmiss,day.m1$line,"Reason(s) for admission",ad1.n1,ad2.n1,ad3.n1,ad4.n1,ad5.n1,ad6.n1,ad7.n1,ad8.n1,ad9.n1
,ad10.n1 ,ad13.n1,ad15.n1,ad17.n1,death.n1$line ,wt0.m1$line.incmiss,wt5.m1$line.incmiss,ap1.m1$line.incmiss,ap5.m1$line.incmiss,vtd.m1$line
,crp1.n1$line.incmiss ,sur.n1 ,abdays.m1$line,wbc1.m1$line.incmiss ,oxy1.n1 ,oxy1days.m1$line,oxy2.n1 ,oxy2days.m1$line,oxy3.n1 
,oxy3days.m1$line,oxy4.n1 ,oxy4days.m1$line,pr1.n1 ,pr2.n1 ,pr3.n1 ,sep=" \\\\\\\\ ")



missage <- nicu4[is.na(forcenumber(nicu4$gestational_age)),]
write.csv(missage[c("study_id","dob","lmp","gestational_age_newborn")],"/home/blevinml/Projects/Jordan/NICU/Data/missing_age.csv",row.names=FALSE)

missbwt <- nicu4[is.na(nicu4$birth_weight),]
write.csv(missbwt[c("study_id","dob","birth_weight")],"/home/blevinml/Projects/Jordan/NICU/Data/missing_bwt.csv",row.names=FALSE)


